import request from '@/utils/request'

// 查询专业榜单列表
export function listMallMajorRanking(query) {
  return request({
    url: '/mall/mallMajorRanking/list',
    method: 'get',
    params: query
  })
}

// 查询专业榜单详细
export function getMallMajorRanking(rankingId) {
  return request({
    url: '/mall/mallMajorRanking/' + rankingId,
    method: 'get'
  })
}

// 新增专业榜单
export function addMallMajorRanking(data) {
  return request({
    url: '/mall/mallMajorRanking',
    method: 'post',
    data: data
  })
}

// 修改专业榜单
export function updateMallMajorRanking(data) {
  return request({
    url: '/mall/mallMajorRanking',
    method: 'put',
    data: data
  })
}

// 删除专业榜单
export function delMallMajorRanking(rankingId) {
  return request({
    url: '/mall/mallMajorRanking/' + rankingId,
    method: 'delete'
  })
}
